#define CATCH_CONFIG_MAIN
#include "catch.hpp"

extern "C" int strtoi(const char *, const char **);

TEST_CASE("negative_nums1", "[negative]")
{
        const char *end;

        CHECK(strtoi("-1", &end) == -1);
        auto ret = strtoi("-123", &end);
        CHECK(ret == -123);
        CHECK(*end == 0);
}

TEST_CASE("negative_nums2", "[negative]")
{
        /* ... */
        /* ... */
}

TEST_CASE("string_prefix", "[notanum]")
{
        const char *end;
        auto ret = strtoi("assd", &end);
        REQUIRE(ret != 0);
        REQUIRE(end == NULL);
}

TEST_CASE("whitespaces", "[notanum]")
{
        /* ... */
}

