#include <stdlib.h>

#include "triangle.h"

enum triangle_t triangle_type(float A, float B, float C)
{
	if ( (A+B <= C) || (A+C <= B) )
	{
		return NONE;
	}

	if ( A==B || A==C || B==C )
	{
		if (A==B && B==A)     /* equilateral */
		{
			return EQUILATERAL;
		}
		else      /* isosceles */
		{
			return ISOSCELES;
		}
	}
	else  /* scalene */
	{
		return SCALENE;
	}

	/* should not be reachable */
	abort();
}
