#define CATCH_CONFIG_MAIN  // Provide the main()
#include "catch.hpp"

#include "triangle.h"

TEST_CASE("none", "triangle_type")
{
	REQUIRE(triangle_type(1,2,3) == NONE);
	REQUIRE(triangle_type(1,1,4) == NONE);
}

TEST_CASE("isosceles", "triangle_type")
{
	REQUIRE(triangle_type(3,2,3) == ISOSCELES);
	REQUIRE(triangle_type(2,3,3) == ISOSCELES);
}

TEST_CASE("equilateral", "triangle_type")
{
	REQUIRE(triangle_type(3,3,3) == EQUILATERAL);
	REQUIRE(triangle_type(2,2,2) == EQUILATERAL);
}

TEST_CASE("scalene", "triangle_type")
{
	REQUIRE(triangle_type(2,3,4) == SCALENE);
	REQUIRE(triangle_type(4,3,2) == SCALENE);
}

